<style>
	.has-error input{
  border: 2px solid red;
}
.has-error select{
 border: 2px solid red;
}
    .col, .col-1, .col-10, .col-11, .col-12, .col-2, .col-3, .col-4, .col-5, .col-6, .col-7, .col-8, .col-9, .col-auto, .col-lg, .col-lg-1, .col-lg-10, .col-lg-11, .col-lg-12, .col-lg-2, .col-lg-3, .col-lg-4, .col-lg-5, .col-lg-6, .col-lg-7, .col-lg-8, .col-lg-9, .col-lg-auto, .col-md, .col-md-1, .col-md-10, .col-md-11, .col-md-12, .col-md-2, .col-md-3, .col-md-4, .col-md-5, .col-md-6, .col-md-7, .col-md-8, .col-md-9, .col-md-auto, .col-sm, .col-sm-1, .col-sm-10, .col-sm-11, .col-sm-12, .col-sm-2, .col-sm-3, .col-sm-4, .col-sm-5, .col-sm-6, .col-sm-7, .col-sm-8, .col-sm-9, .col-sm-auto, .col-xl, .col-xl-1, .col-xl-10, .col-xl-11, .col-xl-12, .col-xl-2, .col-xl-3, .col-xl-4, .col-xl-5, .col-xl-6, .col-xl-7, .col-xl-8, .col-xl-9, .col-xl-auto {	float: left;}
    .modal-header {	margin-bottom: 15px;}
    .pad0{ padding: 0; }
    .form-control{ padding: 5px; }
	
	.ui-widget-content { background:#fff !important; }
    .ui-widget-content a.ui-state-focus { background:#ed1c24 !important; color:#ffffff !importnat; }
	
	.ui-state-hover,
.ui-widget-content .ui-state-hover,
.ui-widget-header .ui-state-hover,
.ui-state-focus,
.ui-widget-content .ui-state-focus,
.ui-widget-header .ui-state-focus {
	border: 1px solid #fff;
	background: #ed1c24;
	font-weight: bold;
	color: #ffffff;
}
.ui-state-hover a,
.ui-state-hover a:hover,
.ui-state-hover a:link,
.ui-state-hover a:visited,
.ui-state-focus a,
.ui-state-focus a:hover,
.ui-state-focus a:link,
.ui-state-focus a:visited {
	color: #ffffff;
	text-decoration: none;
}
</style>

<div ng-controller="hotelSearchCtrl">
	<form name="hotelSearch" ng-submit="onFormSubmit(hotelSearch.$valid);" novalidate="novalidate">
		<div class="row">
    <div class="form-group col-md-3 pr-0">
        <label>Where to?</label><span class="red">*</span>
		<div ng-class="{'has-error' :hotelSearch.from_hotel.$invalid && submitted}">
			 <div class="input-group">
            <div class="input-group-prepend">
                <span class="input-group-text" id="basic-addon1"><i class="icon-pin"></i></span>
            </div>
            <!-- <input type="text" name="from_hotel" id="from_hotel" ng-change="hotelAutoComplet(fromHotel);" required placeholder="Enter an city" ng-model="fromHotel"   uib-typeahead="cities as cities.Title for cities in city | filter:$viewValue | limitTo:8" class="form-control" > -->
			<input id="search" name="search" ng-model="hotelSearchObj.place" placeholder="Destination City" autocomplete="off" type="text" class="form-control mb15" autofocus/>
        </div>
			</div>
       <div ng-show="hotelSearch.from_hotel.$invalid && submitted" class="cardErr">Enter where to</div>
    </div>
    <div class="form-group col-md-3 pr-0">
        <label>When?</label><span class="red">*</span>
		<div ng-class="{'has-error' :hotelSearch.hotelDateRange.$invalid && submitted}">
			<div class="input-group">
            <div class="input-group-prepend">
                <span class="input-group-text" id="basic-addon1"><i class="icon-calendar"></i></span>
            </div>
            <input type="text" class="form-control" placeholder="Enter a date" id="hotelDateRange" name="hotelDateRange" date-range-picker ng-model="hotelDate" required/>
            <!-- <div class="input-group-append">
                <span class="input-group-text" id="basic-addon1"><i class="fa fa-angle-down"></i></span>
            </div> -->
        </div>
			</div>
        <div ng-show="hotelSearch.hotelDateRange.$invalid && submitted" class="cardErr">Enter when</div>
    </div>
    <div class="form-group col-md-3 pr-0">
        <label>Who is going?</label><span class="red">*</span>
		<div ng-class="{'has-error' :hotelSearch.passenger.$invalid && submitted}">
			<div class="input-group">
            <div class="input-group-prepend">
                <span class="input-group-text" id="basic-addon1"><i class="icon-occupancy"></i></span>
            </div>
            <input type="text" class="form-control" name="passenger" ng-model="passengerInfo" placeholder="Enter passenger count" ng-click="open();"/>
           <!--  <div class="input-group-append">
                <span class="input-group-text" id="basic-addon1"><i class="fa fa-angle-down"></i></span>
            </div> -->
        </div>
			</div>
         <div ng-show="hotelSearch.passenger.$invalid && submitted" class="cardErr">Enter who is going</div>
    </div>
    <div class="form-group col-md-3 text-right mt-4">
	<button type="submit" class="btn btn-dark btn-search"><i class="fa fa-search" aria-hidden="true"></i> Search</button>
    </div>
	
</div>
		</form>
<!--
<div class="row">
    <div class="col-md-12 text-right">
        <a class="group-bookings-prompt" href="#">Group Booking Enquiries</a>
    </div>
</div>
-->
<script type="text/ng-template" id="myModalContent.html">
	<div class="modal-header">
			<h3 class="modal-title" id="modal-title">
			Passengers Count
		</h3>
	</div>
		<form name="myForm">
						<div class = "col-md-12">
						
								<div class = " col-md-12 pad0">
                                    <div class="form-group col-md-6" style="margin-left: 5%">
                                       <div class="col-md-8">
                                    		
								
  								  </div></div>
									</div>
                             
                            
								<div class = "col-md-12 custom-room-scroll pad0" id = "rooms_block">

									<!-- Start of Row -->
									 <div  ng-repeat="roomBean in roomList"  class="row adult_content margin0">  
                                         
                                         
                                         
									 	<div class="form-group col-md-12">
                                            
											<div class = "col-md-2 pad0">
                                                <label class="col-md-12 control-label pad0">Room {{$index+1}}</label>
											</div>
											<div class = "col-md-1 pad0" style="width: 30px;">
                                           		 <a href="#" class="round-button round-button-remove remove-row" ng-click="removeRoom($index)" ng-if="roomList.length > 1">	<img src="images/remove-more.png" style="width: 15px;height: 15px;" /> </a>
                                           </div>
											<div class = "col-md-2 pad0">
                                                <label class="col-md-4 control-label pad0">Adult</label>
                                                  <div class="col-md-8">
												<select ng-model="roomBean.adultCount" class="form-control adult_count">
													<option>1</option><option>2</option><option>3</option><option>4</option>
												</select>  
    </div>
											</div>
                                            
											<div class="col-md-2 child_content pad0">
                                                <label class="col-md-4 control-label pad0">Child</label>
                                                  <div class="col-md-8">
												<select ng-model="roomBean.childCount"  ng-change="updateChildList($index)" class="form-control child" >
																	<option>0</option><option>1</option><option>2</option>							
												</select>	
    </div>
												</div>
                                            
											<div class="col-md-5 pad0" ng-repeat="childBean in roomBean.childrens" >	
											<div  class="col-md-6 child_content pad0" ng-repeat="childInfo in childBean.childBeans">
                                                
												 <label class="col-md-6 control-label opensans">Age {{$index+1}}</label>
                                                <div class="col-md-6">
												<select ng-model="childInfo.age" class="form-control input-sm mb15 child_age" style="margin-right: -28px;" required>
													<option>1</option><option>2</option><option>3</option><option>4</option><option>5</option><option>6</option><option>7</option><option>8</option><option>9</option>
												</select>
                                                    </div>
											</div>
											</div>
                                            
										</div>
                                         
                                         
                                         
                                         
									</div>
																				
									</div>
							
						
							</div>
							
						</div>
						</form>
					<div class="modal-footer">
						<div style="padding-right: 50%;">
						<a class="round-o-icon-label button-add-room" href="#" ng-click="addRoom()" ng-if="maxRooms > 1" ng-hide="roomList.length >= maxRooms">
                <span class="round-button round-button-add"><img src="images/add-more.png" style="width: 15px;height: 15px;" /></span>
                Add another room
           						 </a>
						</div>
						<button type="submit" class="applyBtn btn btn-sm btn-success" ng-click="ok();">OK</button>
						<button type="button" class="cancelBtn btn btn-sm btn-default" ng-click="cancel();">Cancel</button>
					</div>
	</script>
</div>